// Query Expansion //

#ifndef QEX_H
#define QEX_H

#include "decl.h"
#include "Point.h"
#include "Cluster.h"
#include "MultiPointQuery.h"

class QEX
{
  public:
    MultiPointQuery mpq;
    Clusters *clus;
 
    QEX();
    ~QEX();
    void reset(Point * p, float * w, int maxClusters, int dist_metric);
    void addPoint(Point & p, float weight);
    void compute(); // return 0 if no point added
};

#endif

